/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOCodeExer;
import org.cocktail.application.client.eof.EOCodeMarche;
import org.cocktail.application.client.eof.EOExercice;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.metier.EOMissionPaiementDestin;
import org.cocktail.kiwi.client.metier.EOMissionPaiementEngage;
import org.cocktail.kiwi.client.metier.EOModePaiement;
import org.cocktail.kiwi.client.metier.EOPlanComptable;
import org.cocktail.kiwi.client.metier.budget.EOCodeAnalytique;
import org.cocktail.kiwi.client.metier.budget.EOEngage;
import org.cocktail.kiwi.client.metier.budget.EOLolfNomenclatureDepense;
import org.cocktail.kiwi.common.utilities.CocktailConstantes;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class PaiementAvecFraisView extends javax.swing.JPanel {

	protected EODisplayGroup eodEngage, eodLolf;

	protected ZEOTable myEOTableEngage, myEOTableLolf;
	protected ZEOTableModel myTableModelEngage, myTableModelLolf ;
	protected TableSorter myTableSorterEngage, myTableSorterLolf;

    /** Creates new form TemplateJPanel */
    public PaiementAvecFraisView(EODisplayGroup dgEngage, EODisplayGroup dgLolf) {

        eodEngage = dgEngage;
        eodLolf = dgLolf;
        
        initComponents();
        initGui();
        
    }


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        btnModifier = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        btnClean = new javax.swing.JButton();
        btnExercice = new javax.swing.JButton();
        viewTableLolf = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        btnDetailEngagement = new javax.swing.JButton();
        lblDispo = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        tfEngNumero = new javax.swing.JTextField();
        tfEngMontant = new javax.swing.JTextField();
        tfEngDate = new javax.swing.JTextField();
        btnSupprimer = new javax.swing.JButton();
        checkChargeAPayer = new javax.swing.JCheckBox();

        setPreferredSize(new java.awt.Dimension(780, 449));

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnModifier.setToolTipText("Modification ligne budgétaire sélectionnée");

        btnAjouter.setToolTipText("Saisie d'une nouvelle ligne budgétaire");

        btnClean.setToolTipText("Suppression données budgétaires");

        btnExercice.setToolTipText("Modification de l'exercice budgétaire");

        viewTableLolf.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableLolf.setLayout(new java.awt.BorderLayout());

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Eng :");

        btnDetailEngagement.setToolTipText("Détail Engagement / Dépenses");
        btnDetailEngagement.setFocusPainted(false);
        btnDetailEngagement.setFocusable(false);
        btnDetailEngagement.setRequestFocusEnabled(false);

        lblDispo.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        lblDispo.setForeground(new java.awt.Color(102, 102, 255));
        lblDispo.setText("4 427,52 €");
        lblDispo.setToolTipText("4 427,52 €");

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Dispo :");

        tfEngNumero.setEditable(false);
        tfEngNumero.setFont(new java.awt.Font("Arial", 1, 12));
        tfEngNumero.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfEngNumero.setText("4761");

        tfEngMontant.setEditable(false);
        tfEngMontant.setFont(new java.awt.Font("Arial", 1, 12));
        tfEngMontant.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfEngMontant.setText("127.50 €");

        tfEngDate.setEditable(false);
        tfEngDate.setFont(new java.awt.Font("Arial", 1, 12));
        tfEngDate.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfEngDate.setText("07/03/2011");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 33, Short.MAX_VALUE))
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(tfEngNumero, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfEngMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 73, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(lblDispo))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfEngDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnDetailEngagement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnDetailEngagement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 48, Short.MAX_VALUE)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel5)
                            .add(tfEngNumero, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfEngMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfEngDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(10, 10, 10)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel10)
                            .add(lblDispo))))
                .addContainerGap())
        );

        btnSupprimer.setToolTipText("Suppression ligne budgétaire sélectionnée");

        checkChargeAPayer.setFont(new java.awt.Font("Tahoma", 0, 14));
        checkChargeAPayer.setText("CAP");
        checkChargeAPayer.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        checkChargeAPayer.setVerticalAlignment(javax.swing.SwingConstants.TOP);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 742, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkChargeAPayer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(viewTableLolf, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 313, Short.MAX_VALUE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnClean, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkChargeAPayer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 206, Short.MAX_VALUE)
                            .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(viewTableLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 65, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnClean, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(153, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnClean;
    private javax.swing.JButton btnDetailEngagement;
    private javax.swing.JButton btnExercice;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JCheckBox checkChargeAPayer;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JLabel lblDispo;
    private javax.swing.JTextField tfEngDate;
    private javax.swing.JTextField tfEngMontant;
    private javax.swing.JTextField tfEngNumero;
    protected javax.swing.JPanel viewTable;
    protected javax.swing.JPanel viewTableLolf;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {
            
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);
    	btnClean.setIcon(CocktailIcones.ICON_CLEAN);
    	btnExercice.setIcon(CocktailIcones.ICON_CALENDAR);
    	    	
    	btnDetailEngagement.setIcon(CocktailIcones.ICON_LOUPE_16);
    	
    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodEngage, 
				EOMissionPaiementEngage.TO_EXERCICE_KEY+"."+EOExercice.EXE_EXERCICE_KEY, "", 40);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.ORGAN_KEY+".libelleLong", "Ligne Budgétaire", 170);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.TO_CODE_EXER_KEY+"."+EOCodeExer.CODE_MARCHE_KEY+"."+EOCodeMarche.CM_CODE_KEY, "Achat", 40);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.PLAN_COMPTABLE_KEY+"."+EOPlanComptable.PCO_NUM_KEY, "Imput", 65);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.MODE_PAIEMENT_KEY+"."+EOModePaiement.MOD_CODE_KEY, "Mode", 40);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.ENGAGE_KEY+"."+EOEngage.ENG_NUMERO_KEY, "Eng", 40);
//		col = new ZEOTableModelColumn(eodEngage, "detailEngagement", "Engagement", 110);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.MPE_MONTANT_ENGAGEMENT_KEY, "Mt ENG", 70);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
//		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.MPE_MONTANT_BUDGETAIRE_KEY, "Total BUDG", 75);
//		col.setAlignment(SwingConstants.RIGHT);
//		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.MPE_MONTANT_REMBOURSE_KEY, "Total REMB", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.CODE_ANALYTIQUE_KEY+"."+EOCodeAnalytique.CAN_CODE_KEY, "Canal", 55);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, "getLongStringConvention", "Conv", 60);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, "pourcentage", "%", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodEngage, EOMissionPaiementEngage.MPE_ETAT_KEY, "Etat", 65);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		myTableModelEngage = new ZEOTableModel(eodEngage, myCols);
		myTableSorterEngage = new TableSorter(myTableModelEngage);

		myEOTableEngage = new ZEOTable(myTableSorterEngage);
		//myEOTableIndemnite.addListener(myListenerContrat);
		myTableSorterEngage.setTableHeader(myEOTableEngage.getTableHeader());		

		myEOTableEngage.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableEngage.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableEngage.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTableEngage), BorderLayout.CENTER);

    	myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodLolf, EOMissionPaiementDestin.TYPE_ACTION_KEY + "." + EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Action", 60);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLolf, EOMissionPaiementDestin.TYPE_ACTION_KEY + "." + EOLolfNomenclatureDepense.LOLF_LIBELLE_KEY, "Libellé Action", 170);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLolf, EOMissionPaiementDestin.MPD_POURCENTAGE_KEY, "%", 45);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLolf, EOMissionPaiementDestin.MPD_MONTANT_KEY, "Montant", 60);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		
		myTableModelLolf = new ZEOTableModel(eodLolf, myCols);
		myTableSorterLolf = new TableSorter(myTableModelLolf);

		myEOTableLolf = new ZEOTable(myTableSorterLolf);
		//myEOTableIndemnite.addListener(myListenerContrat);
		myTableSorterLolf.setTableHeader(myEOTableLolf.getTableHeader());		

		myEOTableLolf.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableLolf.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableLolf.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableLolf.setLayout(new BorderLayout());
		viewTableLolf.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableLolf.removeAll();
		viewTableLolf.add(new JScrollPane(myEOTableLolf), BorderLayout.CENTER);

    }


	public ZEOTable getMyEOTableEngage() {
		return myEOTableEngage;
	}


	public void setMyEOTableEngage(ZEOTable myEOTableEngage) {
		this.myEOTableEngage = myEOTableEngage;
	}


	public ZEOTable getMyEOTableLolf() {
		return myEOTableLolf;
	}


	public void setMyEOTableLolf(ZEOTable myEOTableLolf) {
		this.myEOTableLolf = myEOTableLolf;
	}


	public ZEOTableModel getMyTableModelEngage() {
		return myTableModelEngage;
	}


	public void setMyTableModelEngage(ZEOTableModel myTableModelEngage) {
		this.myTableModelEngage = myTableModelEngage;
	}


	public ZEOTableModel getMyTableModelLolf() {
		return myTableModelLolf;
	}


	public void setMyTableModelLolf(ZEOTableModel myTableModelLolf) {
		this.myTableModelLolf = myTableModelLolf;
	}


	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}


	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}


	public javax.swing.JButton getBtnClean() {
		return btnClean;
	}


	public void setBtnClean(javax.swing.JButton btnClean) {
		this.btnClean = btnClean;
	}


	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}


	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}


	public javax.swing.JButton getBtnDetailEngagement() {
		return btnDetailEngagement;
	}


	public void setBtnDetailEngagement(javax.swing.JButton btnDetailEngagement) {
		this.btnDetailEngagement = btnDetailEngagement;
	}


	public javax.swing.JCheckBox getCheckChargeAPayer() {
		return checkChargeAPayer;
	}


	public void setCheckChargeAPayer(javax.swing.JCheckBox checkChargeAPayer) {
		this.checkChargeAPayer = checkChargeAPayer;
	}


	public javax.swing.JButton getBtnExercice() {
		return btnExercice;
	}


	public void setBtnExercice(javax.swing.JButton btnExercice) {
		this.btnExercice = btnExercice;
	}


	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}


	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}


	public javax.swing.JLabel getLblDispo() {
		return lblDispo;
	}


	public void setLblDispo(javax.swing.JLabel lblDispo) {
		this.lblDispo = lblDispo;
	}

	public javax.swing.JTextField getTfEngDate() {
		return tfEngDate;
	}


	public void setTfEngDate(javax.swing.JTextField tfEngDate) {
		this.tfEngDate = tfEngDate;
	}


	public javax.swing.JTextField getTfEngMontant() {
		return tfEngMontant;
	}


	public void setTfEngMontant(javax.swing.JTextField tfEngMontant) {
		this.tfEngMontant = tfEngMontant;
	}


	public javax.swing.JTextField getTfEngNumero() {
		return tfEngNumero;
	}


	public void setTfEngNumero(javax.swing.JTextField tfEngNumero) {
		this.tfEngNumero = tfEngNumero;
	}


    
}
